# YouTube Data API . i18nLanguages

## Instance Methods

Returns a list of application languages that the YouTube website supports.

### Method Details

`list(part, hl=None)`

    Returns a list of application languages that the YouTube website supports.

    Args:
      part: string, The part parameter specifies the i18nLanguage resource properties that the API response will include. Set the parameter value to snippet. (required)
      hl: string, The hl parameter specifies the language that should be used for text values in the API response.

    Returns:
      An object of the form:

        {
        "eventId": "A String", # Serialized EventId of the request which produced this response.
        "items": [ # A list of supported i18n languages. In this map, the i18n language ID is the map key, and its value is the corresponding i18nLanguage resource.
          { # An i18nLanguage resource identifies a UI language currently supported by YouTube.
            "snippet": { # Basic details about an i18n language, such as language code and human-readable name. # The snippet object contains basic details about the i18n language, such as language code and human-readable name.
              "name": "A String", # The human-readable name of the language in the language itself.
              "hl": "A String", # A short BCP-47 code that uniquely identifies a language.
            },
            "kind": "youtube#i18nLanguage", # Identifies what kind of resource this is. Value: the fixed string "youtube#i18nLanguage".
            "etag": "A String", # Etag of this resource.
            "id": "A String", # The ID that YouTube uses to uniquely identify the i18n language.
          },
        ],
        "kind": "youtube#i18nLanguageListResponse", # Identifies what kind of resource this is. Value: the fixed string "youtube#i18nLanguageListResponse".
        "etag": "A String", # Etag of this resource.
        "visitorId": "A String", # The visitorId identifies the visitor.
      }